using System;
using System.Data;

namespace PrikladyZive61
{
	/// <summary>
	/// Priklad na praci s objekty DataRow 
	/// </summary>
	public class ManagingDataRows
	{
		public static void Run()
		{
			//vytvoreni tabulky
			DataTable lTable = new DataTable();
			lTable.Columns.Add("FirstName", typeof(String));
			lTable.Columns.Add("SurName", typeof(String));
			
			//vytvoreni novych zaznamu
			DataRow lRow1 = lTable.NewRow();
			DataRow lRow2 = lTable.NewRow();
			lRow1["FirstName"] = "Jan";
			lRow1["SurName"] = "Novak";
			lRow2["FirstName"] = "Petr";
			lRow2["SurName"] = "Pus";
			//pridani zaznamu do tabulky
			lTable.Rows.Add(lRow1);
			lTable.Rows.Add(lRow2);

			Console.WriteLine("Pocet radku v tabulce : {0}", lTable.Rows.Count);
			//vyjmuti prvniho zaznamu
			lTable.Rows.RemoveAt(0);
			Console.WriteLine("Pocet radku v tabulce : {0}", lTable.Rows.Count);
		}
	}
}
