using System;
using System.Data;

namespace PrikladyZive61
{
	/// <summary>
	/// Priklad na vytvoreni objektu DataColumn
	/// </summary>
	public class BuildingDataColumn
	{
		public static void BuildColumn()
		{
			//vytvoreni objektu DataTable
			DataTable lTable = new DataTable();
			//vytvoreni objektu DataColumn
			DataColumn lFirstNameCol = new DataColumn();
			//nastaveni vlastnosti
			lFirstNameCol.ColumnName = "FirstName";
			lFirstNameCol.ReadOnly = true;
			lFirstNameCol.DataType = typeof(String);
			lFirstNameCol.DefaultValue = "default";
			//prirazeni do kolekce sloupcu objektu DataTable
			lTable.Columns.Add(lFirstNameCol);

			Console.WriteLine("Tabulka obsahuje {0} sloupcu", lTable.Columns.Count);
		}

		public static void BuildColumnWithPK()
		{
			DataTable lTable = new DataTable();
			//vytvoreni noveho sloupce do kolekce tabulky
			DataColumn lIDCol = lTable.Columns.Add("ID", typeof(int));
			//zakazani null hodot
			lIDCol.AllowDBNull = false;
			//hodnoty nesmi byt duplikatni
			lIDCol.Unique = true;
			//nastaveni automatickeho zvysovani hodnoty sloupce
			lIDCol.AutoIncrement = true;
			//nastaveni pocatecni hodnoty sloupce
			lIDCol.AutoIncrementSeed = 100;
			//nastaveni kroku zvysovani
			lIDCol.AutoIncrementStep = 2;
		}
	}
}
